package com.goer.project.model.modelVersionChanges.service.impl;

import java.util.List;
import com.goer.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goer.project.model.modelVersionChanges.mapper.ModelVersionChangesMapper;
import com.goer.project.model.modelVersionChanges.domain.ModelVersionChanges;
import com.goer.project.model.modelVersionChanges.service.IModelVersionChangesService;
import com.goer.common.utils.text.Convert;

/**
 * 模型对象版本修改内容Service业务层处理
 * 
 * @author goer
 * @date 2022-01-17
 */
@Service
public class ModelVersionChangesServiceImpl implements IModelVersionChangesService 
{
    @Autowired
    private ModelVersionChangesMapper modelVersionChangesMapper;

    /**
     * 查询模型对象版本修改内容
     * 
     * @param id 模型对象版本修改内容主键
     * @return 模型对象版本修改内容
     */
    @Override
    public ModelVersionChanges selectModelVersionChangesById(Long id)
    {
        return modelVersionChangesMapper.selectModelVersionChangesById(id);
    }

    /**
     * 查询模型对象版本修改内容列表
     * 
     * @param modelVersionChanges 模型对象版本修改内容
     * @return 模型对象版本修改内容
     */
    @Override
    public List<ModelVersionChanges> selectModelVersionChangesList(ModelVersionChanges modelVersionChanges)
    {
        return modelVersionChangesMapper.selectModelVersionChangesList(modelVersionChanges);
    }

    /**
     * 新增模型对象版本修改内容
     * 
     * @param modelVersionChanges 模型对象版本修改内容
     * @return 结果
     */
    @Override
    public int insertModelVersionChanges(ModelVersionChanges modelVersionChanges)
    {
        modelVersionChanges.setCreateTime(DateUtils.getNowDate());
        return modelVersionChangesMapper.insertModelVersionChanges(modelVersionChanges);
    }

    /**
     * 修改模型对象版本修改内容
     * 
     * @param modelVersionChanges 模型对象版本修改内容
     * @return 结果
     */
    @Override
    public int updateModelVersionChanges(ModelVersionChanges modelVersionChanges)
    {
        modelVersionChanges.setUpdateTime(DateUtils.getNowDate());
        return modelVersionChangesMapper.updateModelVersionChanges(modelVersionChanges);
    }

    /**
     * 批量删除模型对象版本修改内容
     * 
     * @param ids 需要删除的模型对象版本修改内容主键
     * @return 结果
     */
    @Override
    public int deleteModelVersionChangesByIds(String ids)
    {
        return modelVersionChangesMapper.deleteModelVersionChangesByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除模型对象版本修改内容信息
     * 
     * @param id 模型对象版本修改内容主键
     * @return 结果
     */
    @Override
    public int deleteModelVersionChangesById(Long id)
    {
        return modelVersionChangesMapper.deleteModelVersionChangesById(id);
    }
}
